api reference
PUT
/v1/uploads/{upload_id}

Path Parameters

upload_id*Upload Id
Formatuuid

Query Parameters

token*Token

The token from upload_url. The only credential.

Request Body

application/octet-stream

The raw file bytes. The Content-Type header is ignored: the type given when the link was made is stored.

TypeScript Definitions

Use the request body type in TypeScript.

body*file
Formatbinary

Response Body

application/json

application/json

curl -X PUT "https://example.com/v1/uploads/497f6eca-6276-4993-bfeb-53cbbbba6f08?token=string" \  -H "Content-Type: application/octet-stream" \  -d 'string'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "purpose": "email_attachment",  "filename": "string",  "content_type": "string",  "size_bytes": 0,  "sha256": "string"}